Bug 1565518 - [abrt] PackageKit: handler_equal(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: handler_equal(): packagekitd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6e37b1ecb45b86e2b9847c67127...
: 1573794 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 08:18 UTC by Michal Konecny
Modified: 2018-11-30 21:22 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:22:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (22.73 KB, text/plain)
2018-04-10 08:18 UTC, Michal Konecny
no flags Details
File: cgroup (308 bytes, text/plain)
2018-04-10 08:18 UTC, Michal Konecny
no flags Details
File: core_backtrace (16.52 KB, text/plain)
2018-04-10 08:18 UTC, Michal Konecny
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2018-04-10 08:18 UTC, Michal Konecny
no flags Details
File: dso_list (7.89 KB, text/plain)
2018-04-10 08:18 UTC, Michal Konecny
no flags Details
File: environ (190 bytes, text/plain)
2018-04-10 08:18 UTC, Michal Konecny
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-10 08:18 UTC, Michal Konecny
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-10 08:18 UTC, Michal Konecny
no flags Details
File: maps (38.93 KB, text/plain)
2018-04-10 08:18 UTC, Michal Konecny
no flags Details
File: mountinfo (3.79 KB, text/plain)
2018-04-10 08:18 UTC, Michal Konecny
no flags Details
File: open_fds (5.71 KB, text/plain)
2018-04-10 08:18 UTC, Michal Konecny
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-04-10 08:18 UTC, Michal Konecny
no flags Details
File: var_log_messages (404 bytes, text/plain)
2018-04-10 08:18 UTC, Michal Konecny
no flags Details

Description Michal Konecny 2018-04-10 08:18:24 UTC
Version-Release number of selected component:
PackageKit-1.1.8-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: handler_equal
executable:     /usr/libexec/packagekitd
journald_cursor: s=eb510d53c94d45e6ab9ff34af013c358;i=13d1b;b=eccfc35ad63a4cbcbb38d7e70e332fec;m=8ebe8892f;t=5697a1981afd6;x=e999dde9441445fa
kernel:         4.15.14-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 handler_equal at gsignal.c:457
 #1 g_hash_table_lookup_node at ghash.c:400
 #2 g_hash_table_lookup at ghash.c:1153
 #3 handler_lookup at gsignal.c:474
 #4 g_signal_handler_disconnect at gsignal.c:2631
 #5 client_unref at gdbusnamewatching.c:103
 #6 pk_control_finalize at pk-control.c:2436
 #8 pk_client_finalize at pk-client.c:4950
 #10 pk_package_sack_finalize at pk-package-sack.c:1160
 #12 pk_results_finalize at pk-results.c:934

Potential duplicate: bug 1472453

Comment 1 Michal Konecny 2018-04-10 08:18:31 UTC
Created attachment 1419728 [details]
File: backtrace

Comment 2 Michal Konecny 2018-04-10 08:18:33 UTC
Created attachment 1419729 [details]
File: cgroup

Comment 3 Michal Konecny 2018-04-10 08:18:35 UTC
Created attachment 1419730 [details]
File: core_backtrace

Comment 4 Michal Konecny 2018-04-10 08:18:36 UTC
Created attachment 1419731 [details]
File: cpuinfo

Comment 5 Michal Konecny 2018-04-10 08:18:38 UTC
Created attachment 1419732 [details]
File: dso_list

Comment 6 Michal Konecny 2018-04-10 08:18:39 UTC
Created attachment 1419733 [details]
File: environ

Comment 7 Michal Konecny 2018-04-10 08:18:41 UTC
Created attachment 1419734 [details]
File: exploitable

Comment 8 Michal Konecny 2018-04-10 08:18:43 UTC
Created attachment 1419735 [details]
File: limits

Comment 9 Michal Konecny 2018-04-10 08:18:45 UTC
Created attachment 1419736 [details]
File: maps

Comment 10 Michal Konecny 2018-04-10 08:18:47 UTC
Created attachment 1419737 [details]
File: mountinfo

Comment 11 Michal Konecny 2018-04-10 08:18:49 UTC
Created attachment 1419738 [details]
File: open_fds

Comment 12 Michal Konecny 2018-04-10 08:18:50 UTC
Created attachment 1419739 [details]
File: proc_pid_status

Comment 13 Michal Konecny 2018-04-10 08:18:52 UTC
Created attachment 1419740 [details]
File: var_log_messages

Comment 14 Bruto 2018-05-02 09:43:46 UTC
*** Bug 1573794 has been marked as a duplicate of this bug. ***

Comment 15 Ben Cotton 2018-11-27 15:55:40 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2018-11-30 21:22:18 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.